Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient
Interface PkEeCertReqTransaction

All Superinterfaces:
  PkEeBuiltReqTransaction, PkEeReqTransaction, PkEeTransaction

    public interface PkEeCertReqTransaction

extends PkEeBuiltReqTransaction

Complete certificate request transaction for initial request for a key pair

Method Summary
`void` | `addExtKeyUsage(List<String> extKUsage)` Merges the provided extended key usages to those already existing if any.
`void` | `setKeySize(int keyBits)` Set the length of the key in bits.
`void` | `setKeyType(String keyType)` Set the key type to be generated for this request.
`void` | `storeNewEntry(String alias, String keyPwd)` Add the signed certificate into the EE keystore.

Methods inherited from interface com.ibm.security.certclient.PkEeBuiltReqTransaction
`addKeyUsage, getKeyPair, getPrivateKey, getPublicKey, setSubjectAltNames, setSubjectKeyIdShort, setValidity`

Methods inherited from interface com.ibm.security.certclient.PkEeReqTransaction
`getCertificateChain, getPKCS10CertReq, getSignedCert`

Methods inherited from interface com.ibm.security.certclient.PkEeTransaction
`actionRequest`

Method Detail

### setKeyType

    void setKeyType(String keyType)

  Set the key type to be generated for this request. Overrides current value if any.

  Parameters:
    `keyType` - If not "DSA" then defaults to "RSA"

### setKeySize

    void setKeySize(int keyBits)
                    throws com.ibm.security.certclient.base.PkException

  Set the length of the key in bits. Overrides current value if any.

  Parameters:
    `keyBits` - Number of bits in the key
  Throws:
    `com.ibm.security.certclient.base.PkException` - keysize is invalid

### addExtKeyUsage

    void addExtKeyUsage(List<String> extKUsage)

  Merges the provided extended key usages to those already existing if any.

  Parameters:
    `extKUsage` - List of extendedkey usages - "ServerAuth_Id" "ClientAuth_Id" "CodeSigning_Id" "EmailProtection_Id" "IPSecEndSystem_Id" "IPSecTunnel_Id" "IPSecUser_Id" "TimeStamping_Id"

### storeNewEntry

    void storeNewEntry(String alias,
                       String keyPwd)
                       throws com.ibm.security.certclient.base.PkException

  Add the signed certificate into the EE keystore.

  Parameters:
    `alias` - label for this key entry in the EE keystore. This label should be unique in the keystore.
    `keyPwd` - protection password for the key.
  Throws:
    `com.ibm.security.certclient.base.PkException` - These identify various keystore errors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD